﻿using CoreLibrary.Joueurs;

namespace CoreLibrary.Evenements
{
    /// <summary>
    /// Classe contenant les arguments passés en paramètre lors de l'événement PartiePartieTerminee.
    /// </summary>
    public class PartiePartieTermineeEventArgs : EventArgs
    {
        /// <summary>
        /// Liste des gagnants.
        /// </summary>
        public IReadOnlyList<string> Gagnants { get; private init; }

        /// <summary>
        /// Liste des perdants.
        /// </summary>
        public IReadOnlyList<string> Perdants { get; private init; }

        /// <summary>
        /// Constructeur de PartiePartieTermineeEventArgs, avec la liste des gagnants et perdants spécifiés.
        /// </summary>
        /// <param name="gagnants">Liste des gagnants.</param>
        /// <param name="perdants">Liste des perdants.</param>
        public PartiePartieTermineeEventArgs(IReadOnlyList<string> gagnants, IReadOnlyList<string> perdants)
        {
            Gagnants = gagnants;
            Perdants = perdants;
        }
    }
}
